Skip to main content
PATCH
/
orgs
/
{org_id}
/
members
/
{target_user_id}
Update Member Role
curl --request PATCH \
  --url https://api.example.com/orgs/{org_id}/members/{target_user_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "<string>"
}
'
{
  "id": "<string>",
  "user_id": "<string>",
  "role": "<string>",
  "created_at": "<string>",
  "email": "<string>",
  "full_name": "<string>",
  "invited_by": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required
target_user_id
string
required

Body

application/json
role
string
required

Response

Successful Response

id
string
required
user_id
string
required
role
string
required
created_at
string
required
email
string | null
full_name
string | null
invited_by
string | null